| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Signals | Public Member Functions | Protected Slots | List of all members
ExportObjectsTreeView Class Reference

A custom tree view for displaying export objects. More...

`#include <export_objects_view.h>`

Inheritance diagram for ExportObjectsTreeView:

## Signals
void | currentIndexChanged (const QModelIndex &current)
| Signal emitted when the current index changes.
void | selectedItemsChanged (const QItemSelection &selected)
| Signal emitted when the selected items change.

## Public Member Functions
| ExportObjectsTreeView (QWidget *parent=0)
| Constructs a new ExportObjectsTreeView.

## Protected Slots
void | currentChanged (const QModelIndex &current, const QModelIndex &previous) override
| Handles the event when the current item changes.
void | selectionChanged (const QItemSelection &selected, const QItemSelection &deselected) override
| Handles the event when the item selection changes.

## Detailed Description

A custom tree view for displaying export objects.

## Constructor & Destructor Documentation

## ◆ ExportObjectsTreeView()

ExportObjectsTreeView::ExportObjectsTreeView | ( | QWidget * | parent = 0 | ) |

Constructs a new ExportObjectsTreeView.

Parameters

  parent | The parent widget, defaults to 0.

## Member Function Documentation

## ◆ currentChanged

void ExportObjectsTreeView::currentChanged | ( | const QModelIndex & | current,
|  | const QModelIndex & | previous )
| override protected slot

Handles the event when the current item changes.

Parameters

  current | The newly current model index.
  previous | The previously current model index.

## ◆ currentIndexChanged

void ExportObjectsTreeView::currentIndexChanged | ( | const QModelIndex & | current | ) |
| signal

Signal emitted when the current index changes.

Parameters

  current | The newly current model index.

## ◆ selectedItemsChanged

void ExportObjectsTreeView::selectedItemsChanged | ( | const QItemSelection & | selected | ) |
| signal

Signal emitted when the selected items change.

Parameters

  selected | The new item selection.

## ◆ selectionChanged

void ExportObjectsTreeView::selectionChanged | ( | const QItemSelection & | selected,
|  | const QItemSelection & | deselected )
| override protected slot

Handles the event when the item selection changes.

Parameters

  selected | The items that were selected.
  deselected | The items that were deselected.

The documentation for this class was generated from the following files:

- /builds/wireshark/wireshark/ui/qt/widgets/export_objects_view.h
- /builds/wireshark/wireshark/ui/qt/widgets/export_objects_view.cpp